libstdc++

Classes | Functions
Exceptions
Policy-Based Data Structures
Collaboration diagram for Exceptions:

## Classes

struct | __gnu_pbds::container_error
| Base class for exceptions. More...
struct | __gnu_pbds::insert_error
| An entry cannot be inserted into a container object for logical reasons (not, e.g., if memory is unabvailable, in which case the allocator_type's exception will be thrown). More...
struct | __gnu_pbds::join_error
| A join cannot be performed logical reasons (i.e., the ranges of the two container objects being joined overlaps. More...
struct | __gnu_pbds::resize_error
| A container cannot be resized. More...

## Functions

void | __gnu_pbds::__throw_container_error ()
void | __gnu_pbds::__throw_insert_error ()
void | __gnu_pbds::__throw_join_error ()
void | __gnu_pbds::__throw_resize_error ()

## Detailed Description